## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGLStateCacheContext Class Reference
[Common Plugin Classes]

List of all members.

## Public Member Functions

| DECLARE_CACHED_PARAMETER_4_LAYER (glTexCoordPointer, TexCoordPointer, GLint, tsize, GLenum, ttype, GLsizei, tstride, GLvoid *, tpointer) csGLStateCacheContext(csGLExtensionManager *extmgr)
void | InitCache ()
| Init cache.

## Public Attributes

int | activeUnit
GLuint | boundtexture [CS_GL_MAX_LAYER]
GLvoid vpointer | ColorPointer
GLvoid vpointer | csize
GLvoid vpointer | cstride
GLvoid vpointer | ctype
GLuint | currentBufferID
GLuint | currentIndexID
int | currentUnit
csGLExtensionManager * | extmgr
GLvoid vpointer | GLenum
| GLenum
GLvoid vpointer | GLint
| GLint
GLvoid vpointer | GLsizei
| GLsizei
| VertexPointer
| vsize
| vstride
| vtype

## Detailed Description

Definition at line 363 of file glstates.h.

## Member Function Documentation

void csGLStateCacheContext::InitCache | ( |  | ) | `[inline]`

Init cache.

Definition at line 432 of file glstates.h.

References csGLExtensionFlags::CS_GL_ARB_multitexture, csGLExtensionFlags::CS_GL_ARB_texture_rectangle, csGLExtensionFlags::CS_GL_EXT_texture_rectangle, CS_GL_MAX_LAYER, csGLExtensionFlags::CS_GL_NV_texture_rectangle, extmgr, GL_TEXTURE0_ARB, GL_TEXTURE_1D, GL_TEXTURE_2D, GL_TEXTURE_3D, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_RECTANGLE_ARB, csGLExtensionFunctions::glActiveTextureARB, csGLExtensionFunctions::glClientActiveTextureARB, and GLint.

The documentation for this class was generated from the following file:

- csplugincommon/opengl/glstates.h